net.sf.jasperreports.engine.util

## Class JRQueryExecuterUtils.WrappingQueryExecuterFactory

- java.lang.Object
- - net.sf.jasperreports.engine.util.JRQueryExecuterUtils.WrappingQueryExecuterFactory

- All Implemented Interfaces:
    JRQueryExecuterFactory, QueryExecuterFactory
  Enclosing class:
    JRQueryExecuterUtils

  Deprecated.
  To be removed.

      public static class JRQueryExecuterUtils.WrappingQueryExecuterFactory
      extends java.lang.Object
      implements QueryExecuterFactory

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.engine.query.QueryExecuterFactory

      `QUERY_EXECUTER_FACTORY_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRQueryExecuterUtils.WrappingQueryExecuterFactory(JRQueryExecuterFactory factory)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRQueryExecuter` | `createQueryExecuter(JasperReportsContext jasperReportsContext, JRDataset dataset, java.util.Map<java.lang.String,? extends JRValueParameter> parameters)` Deprecated. Creates a query executer.
    `JRQueryExecuter` | `createQueryExecuter(JRDataset dataset, java.util.Map<java.lang.String,? extends JRValueParameter> parameters)` Deprecated. Creates a query executer.
    `java.lang.Object[]` | `getBuiltinParameters()` Deprecated. Returns the built-in parameters associated with this query type.
    `boolean` | `supportsQueryParameterType(java.lang.String className)` Deprecated. Decides whether the query executers created by this factory support a query parameter type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JRQueryExecuterUtils.WrappingQueryExecuterFactory

          public JRQueryExecuterUtils.WrappingQueryExecuterFactory(JRQueryExecuterFactory factory)

      Deprecated.

  - ### Method Detail

    - #### getBuiltinParameters

          public java.lang.Object[] getBuiltinParameters()

      Deprecated.
      Description copied from interface: `QueryExecuterFactory`
      Returns the built-in parameters associated with this query type.

      These parameters will be created as system-defined parameters for each report/dataset having a query of this type.

      The returned array should contain consecutive pairs of parameter names and parameter classes (e.g. `{"Param1", String.class, "Param2", "List.class"}`).
      Specified by:
        `getBuiltinParameters` in interface `JRQueryExecuterFactory`
      Specified by:
        `getBuiltinParameters` in interface `QueryExecuterFactory`
      Returns:
        array of built-in parameter names and types associated with this query type

    - #### createQueryExecuter

          public JRQueryExecuter createQueryExecuter(JasperReportsContext jasperReportsContext,
                                            JRDataset dataset,
                                            java.util.Map<java.lang.String,? extends JRValueParameter> parameters)
                                              throws JRException

      Deprecated.
      Description copied from interface: `QueryExecuterFactory`
      Creates a query executer.

      This method is called at fill time for reports/datasets having a query supported by this factory.
      Specified by:
        `createQueryExecuter` in interface `QueryExecuterFactory`
      Parameters:
        `jasperReportsContext` - the JasperReportsContext
        `dataset` - the dataset containing the query, fields, etc
        `parameters` - map of value parameters (instances of `JRValueParameter`) indexed by name
      Returns:
        a query executer
      Throws:
        `JRException`

    - #### createQueryExecuter

          public JRQueryExecuter createQueryExecuter(JRDataset dataset,
                                            java.util.Map<java.lang.String,? extends JRValueParameter> parameters)
                                              throws JRException

      Deprecated.
      Description copied from interface: `JRQueryExecuterFactory`
      Creates a query executer.

      This method is called at fill time for reports/datasets having a query supported by this factory.
      Specified by:
        `createQueryExecuter` in interface `JRQueryExecuterFactory`
      Parameters:
        `dataset` - the dataset containing the query, fields, etc
        `parameters` - map of value parameters (instances of `JRValueParameter`) indexed by name
      Returns:
        a query executer
      Throws:
        `JRException`

    - #### supportsQueryParameterType

          public boolean supportsQueryParameterType(java.lang.String className)

      Deprecated.
      Description copied from interface: `QueryExecuterFactory`
      Decides whether the query executers created by this factory support a query parameter type.

      This check is performed for all $P{..} parameters in the query.
      Specified by:
        `supportsQueryParameterType` in interface `JRQueryExecuterFactory`
      Specified by:
        `supportsQueryParameterType` in interface `QueryExecuterFactory`
      Parameters:
        `className` - the value class name of the parameter
      Returns:
        whether the parameter value type is supported

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com